<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Alternate_Item_Identifier_for_PO_issue_DataType StructType
 * Meta information extracted from the WSDL
 * - documentation: Alternate Item Identifier name and value.
 * @subpackage Structs
 */
class Alternate_Item_Identifier_for_PO_issue_DataType extends AbstractStructBase
{
    /**
     * The Value
     * Meta information extracted from the WSDL
     * - documentation: Alternate Item Identifier value.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Value;
    /**
     * The Name
     * Meta information extracted from the WSDL
     * - documentation: Alternate Item Identifier name.
     * @var string
     */
    public $Name;
    /**
     * Constructor method for Alternate_Item_Identifier_for_PO_issue_DataType
     * @uses Alternate_Item_Identifier_for_PO_issue_DataType::setValue()
     * @uses Alternate_Item_Identifier_for_PO_issue_DataType::setName()
     * @param string $value
     * @param string $name
     */
    public function __construct($value = null, $name = null)
    {
        $this
            ->setValue($value)
            ->setName($name);
    }
    /**
     * Get Value value
     * @return string|null
     */
    public function getValue()
    {
        return $this->Value;
    }
    /**
     * Set Value value
     * @param string $value
     * @return \StructType\Alternate_Item_Identifier_for_PO_issue_DataType
     */
    public function setValue($value = null)
    {
        // validation for constraint: string
        if (!is_null($value) && !is_string($value)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($value, true), gettype($value)), __LINE__);
        }
        $this->Value = $value;
        return $this;
    }
    /**
     * Get Name value
     * @return string|null
     */
    public function getName()
    {
        return $this->Name;
    }
    /**
     * Set Name value
     * @param string $name
     * @return \StructType\Alternate_Item_Identifier_for_PO_issue_DataType
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->Name = $name;
        return $this;
    }
}
